%define name xmms-cdread
%define version 0.14a
%define release %mkrel 5

Name: %{name}
Summary: Input plugin that reads audio data from CDs
Version: %{version}
Release: %{release}
Source: ftp://mud.stack.nl/pub/OuterSpace/willem/%{name}-%{version}.tar.bz2
URL: ftp://mud.stack.nl/pub/OuterSpace/willem
Patch: %{name}.patch	
Patch1:	xmms-cdread-0.14a-shuffle_list.patch
License: GPL
Group: Sound
Requires: xmms
BuildRequires: xmms-devel

%description
This is an alternative to the xmms audio CD plugin with advanced features.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
%patch1 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libdir=$RPM_BUILD_ROOT%{_libdir}/xmms/Input
rm -f %buildroot%{_libdir}/xmms/Input/libcdread.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL TODO ChangeLog NEWS README
%{_libdir}/xmms/Input/libcdread.so



%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.14a-5mdv2008.1
+ Revision: 130346
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel


* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.14a-5mdk
- Rebuild

* Thu Nov 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.14a-4mdk
- remove useless .la file
- fix buildrequires
- patch1 from danny@mailmij.org: fix xmms 1.2.8 compatibility

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.14a-3mdk
- fix buildrequires

* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.14a-2mdk
- rebuild to fix invalid-packager

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.14a-1mdk
- new version
- fix obsolete-tag Copyright
- fix invalid-distribution Linux-Mandrake

* Tue Sep 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11c-1mdk
- rebuild

* Tue May 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11c-1mdk
- bump to 0.11c to comply with xmms-1.2.5 interface

* Fri May 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9a-3mdk
- Rebuild.

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9a-2mdk
- build for release

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9a-1mdk
- updated to 0.9a
- patch cdread.c to avoid function conflict

* Tue Oct 03 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.8a-1mdk
- initial Mandrake build

